Subject: [IPFIX] [Editorial Errata Reported] RFC7011 (4396)

From: RFC Errata System <[email-masked]>
Date: Fri, 19 Jun 2015 02:01:09 -0700 (PDT)

The following errata report has been submitted for RFC7011,
"Specification of the IP Flow Information Export (IPFIX) Protocol for the Exchange of Flow Information".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7011&eid=4396

--------------------------------------
Type: Editorial
Reported by: Rick Hofstede <[email-masked]>

Section: 3.1

Original Text
-------------
Incremental sequence counter modulo 2^32 of all IPFIX Data Records
sent in the current stream from the current Observation Domain by
the Exporting Process.

Corrected Text
--------------
Incremental sequence counter modulo 2^32 of all IPFIX Data Records
sent in the current stream from the current Observation Domain by
the Exporting Process, prior to the receipt of this IPFIX Message.

Notes
-----
The original specification can be interpreted in two ways:

(1) Incremental sequence counter modulo 2^32 of all IPFIX Data Records sent in the current stream from the current Observation Domain by the Exporting Process *up to* this Message.
(2) Incremental sequence counter modulo 2^32 of all IPFIX Data Records sent in the current stream from the current Observation Domain by the Exporting Process *up to and including* this Message.

It seems that only Section 10.3.2 — Reliability explains which of the two interpretations is right: In the case of UDP, the IPFIX Sequence Number contains the total number of IPFIX Data Records sent for the Transport Session *prior* to the receipt of this IPFIX Message, modulo 2^32.

In my opinion, it would be good to clarify the use of sequence numbers in Message headers already in the definition of sequence numbers in RFC 7011, namely in Section 3.1.

Discussed here: https://mailarchive.ietf.org/arch/msg/ipfix/AQKObQ2WA_zIXgRzdxRsDrIWjx0

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7011 (draft-ietf-ipfix-protocol-rfc5101bis-10)
--------------------------------------
Title               : Specification of the IP Flow Information Export (IPFIX) Protocol for the Exchange of Flow Information
Publication Date    : September 2013
Author(s)           : B. Claise, Ed., B. Trammell, Ed., P. Aitken
Category            : INTERNET STANDARD
Source              : IP Flow Information Export
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG